# Generated by rust2rpm
%bcond_without check
%global debug_package %{nil}

%global crate sha1

Name:           rust-%{crate}
Version:        0.4.0
Release:        4%{?dist}
Summary:        Minimal implementation of SHA1 for Rust

License:        BSD
URL:            https://crates.io/crates/sha1
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * Bump rand to 0.4, https://github.com/mitsuhiko/rust-sha1/pull/26
# * Bump openssl to 0.10, https://github.com/mitsuhiko/rust-sha1/pull/28
Patch0:         sha1-0.4.0-fix-metadata.diff
# Make it work with openssl v0.10
Patch1:         0001-deps-update-openssl-to-0.10.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
%if %{with check}
# [dev-dependencies]
BuildRequires:  (crate(openssl) >= 0.10.0 with crate(openssl) < 0.11.0)
BuildRequires:  (crate(rand) >= 0.4.0 with crate(rand) < 0.5.0)
%endif

%description
%{summary}.

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel
Minimal implementation of SHA1 for Rust.

This package contains library source intended for building other packages
which use %{crate} from crates.io.

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%files          devel
%license LICENSE
%doc README.md
%{cargo_registry}/%{crate}-%{version}/

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan 13 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.0-3
- Bump openssl to 0.10

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.0-2
- Rebuild for rust-packaging v5

* Sun Dec 31 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.0-1
- Update to 0.4.0

* Wed Nov 29 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.0-3
- Update patch

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.0-2
- Port to use rust-packaging

* Mon Apr 03 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.0-1
- Initial package
